dbXML API

## com.dbxml.db.client.xmldb
Class CollectionImpl

    java.lang.Object
      com.dbxml.db.client.xmldb.CollectionImpl

All Implemented Interfaces:
  org.xmldb.api.base.Collection, org.xmldb.api.base.Configurable

public final class CollectionImpl
extends java.lang.Object
implements org.xmldb.api.base.Collection, org.xmldb.api.base.Configurable

CollectionImpl

Constructor Summary
`CollectionImpl(CollectionClient client)`

Method Summary
`void` `close()`
`java.lang.String` `createId()`
`org.xmldb.api.base.Resource` `createResource(java.lang.String id, java.lang.String type)`
`org.xmldb.api.base.Collection` `getChildCollection(java.lang.String name)`
`int` `getChildCollectionCount()`
`CollectionClient` `getCollectionClient()`
`java.lang.String` `getName()`
`org.xmldb.api.base.Collection` `getParentCollection()`
`java.lang.String` `getProperty(java.lang.String name)`
`org.xmldb.api.base.Resource` `getResource(java.lang.String id)`
`int` `getResourceCount()`
`org.xmldb.api.base.Service` `getService(java.lang.String name, java.lang.String version)`
`org.xmldb.api.base.Service[]` `getServices()`
`boolean` `isOpen()`
`java.lang.String[]` `listChildCollections()`
`java.lang.String[]` `listResources()`
`void` `removeResource(org.xmldb.api.base.Resource res)`
`void` `setProperty(java.lang.String name, java.lang.String value)`
`void` `storeResource(org.xmldb.api.base.Resource res)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionImpl

    public CollectionImpl(CollectionClient client)

Method Detail

### getCollectionClient

    public CollectionClient getCollectionClient()

### getName

    public java.lang.String getName()
                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getName` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getProperty

    public java.lang.String getProperty(java.lang.String name)
                                 throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)
                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `setProperty` in interface `org.xmldb.api.base.Configurable`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getServices

    public org.xmldb.api.base.Service[] getServices()
                                             throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getServices` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getService

    public org.xmldb.api.base.Service getService(java.lang.String name,
                                                 java.lang.String version)
                                          throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getService` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getParentCollection

    public org.xmldb.api.base.Collection getParentCollection()
                                                      throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getParentCollection` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getChildCollectionCount

    public int getChildCollectionCount()
                                throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getChildCollectionCount` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### listChildCollections

    public java.lang.String[] listChildCollections()
                                            throws org.xmldb.api.base.XMLDBException

  Specified by:
    `listChildCollections` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getChildCollection

    public org.xmldb.api.base.Collection getChildCollection(java.lang.String name)
                                                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getChildCollection` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getResourceCount

    public int getResourceCount()
                         throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getResourceCount` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### listResources

    public java.lang.String[] listResources()
                                     throws org.xmldb.api.base.XMLDBException

  Specified by:
    `listResources` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### createResource

    public org.xmldb.api.base.Resource createResource(java.lang.String id,
                                                      java.lang.String type)
                                               throws org.xmldb.api.base.XMLDBException

  Specified by:
    `createResource` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### removeResource

    public void removeResource(org.xmldb.api.base.Resource res)
                        throws org.xmldb.api.base.XMLDBException

  Specified by:
    `removeResource` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### storeResource

    public void storeResource(org.xmldb.api.base.Resource res)
                       throws org.xmldb.api.base.XMLDBException

  Specified by:
    `storeResource` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### getResource

    public org.xmldb.api.base.Resource getResource(java.lang.String id)
                                            throws org.xmldb.api.base.XMLDBException

  Specified by:
    `getResource` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### createId

    public java.lang.String createId()
                              throws org.xmldb.api.base.XMLDBException

  Specified by:
    `createId` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### isOpen

    public boolean isOpen()
                   throws org.xmldb.api.base.XMLDBException

  Specified by:
    `isOpen` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

### close

    public void close()
               throws org.xmldb.api.base.XMLDBException

  Specified by:
    `close` in interface `org.xmldb.api.base.Collection`
  Throws:
    `org.xmldb.api.base.XMLDBException`

dbXML API

Copyright (c) 2004 The dbXML Group